import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        //boolean leon = hamletParser.hamletToLeon();
        hamletParser.hamletToLeon();
        Assert.assertFalse(hamletParser.findHamlet());
    }

    @Test
    public void testChangeHoratioToTariq() {
        hamletParser.horatioToTariq();
        Assert.assertFalse(hamletParser.findHoratio());

    }

    @Test
    public void testFindHoratio() {
        boolean hamlet = hamletParser.findHoratio();

        Assert.assertTrue(hamlet);
    }

    @Test
    public void testFindHamlet() {
        boolean hamlet = hamletParser.findHamlet();

        Assert.assertTrue(hamlet);
    }
}